// Copyright (c) 2002, Peter Bentley
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
// 
//   Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 
//   Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
// 
//   The name Peter Bentley may not be used to endorse or promote
// products derived from this software without specific prior
// written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// $Id: OmdDisc.h,v 1.8 2002/11/07 09:09:07 pete Exp $

#import <Foundation/Foundation.h>

@class OmdUnit;
@class OmdTime;


@interface OmdDisc : NSObject {
    IBOutlet OmdUnit	*unit;
    omd_disc_info_t	discInfo;
    BOOL		discInserted;

    IBOutlet NSTextField *discType;
    IBOutlet NSTextField *discType2;
    IBOutlet NSTextField *discTracks;
    IBOutlet NSTextField *discCapacity;
    IBOutlet NSTextField *discUsed;
    IBOutlet NSTextField *discRemaining;
    IBOutlet NSProgressIndicator *discIndicator;

}

// - (id) initWithOmdUnit: (OmdUnit *) theUnit;
- (BOOL) isRecordable;
- (BOOL) isProtected;
- (int) numTracks;
- (OmdTime *) timeConvert: (omd_time_t *) t;
- (OmdTime *) capacity;
- (OmdTime *) timeRemaining;
- (OmdTime *) timeUsed;

- (NSString *) discTypeString;
- (NSString *) discWritableString;
- (void) refresh;

- (void) updateView;

@end
