// Copyright (c) 2002, Peter Bentley
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
// 
//   Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 
//   Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
// 
//   The name Peter Bentley may not be used to endorse or promote
// products derived from this software without specific prior
// written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//


#import "OmdPosition.h"
#import "OmdTime.h"
#import "omd.h"

CVSID( "$Id: OmdPosition.m,v 1.4 2002/11/07 09:09:08 pete Exp $" )

@implementation OmdPosition

- (id) init
{
    return [self initWithTrack: 0 andTime: nil];
}

- (id) initWithTrack: (int) newtrack andTime: (OmdTime *) newtime
{
    if( (self = [super init]) != nil )
    {
        [self setTrack: newtrack];
        [self setTime: newtime];
    }
    return self;
}

- (void) deallooc
{
    if( time )
    {
        [time release];
    }
    [super dealloc];
}


- (void) setTrack: (int) newtrack
{
    track = newtrack;
}

- (int) track
{
    return track;
}

- (void) setTime: (OmdTime *) newtime
{
    if( newtime )
    {
        [time autorelease];
        time = [newtime copy];
    }
    else
    {
        time = nil;
    }
}


- (OmdTime *) time
{
    return time;
}

@end
