// Copyright (c) 2002, Peter Bentley
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
// 
//   Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 
//   Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
// 
//   The name Peter Bentley may not be used to endorse or promote
// products derived from this software without specific prior
// written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// $Id: OmdToc.h,v 1.14 2002/11/24 19:31:30 pete Exp $

#import <Foundation/Foundation.h>
#import "omd.h"

@class OmdTrackInfo;
@class OmdGroupInfo;
@class OmdUnit;

@interface OmdToc : NSObject {
    omd_toc_t	*ctoc;
    OmdUnit	*omdUnit;
}

- (id) initWithCToc: (omd_toc_t *) toc unit: (OmdUnit *) u;


- (int) numTracks;
- (NSString *) title;


- (int) numGroups;
- (OmdGroupInfo *) groupInfo: (int) g;


- (OmdTrackInfo *) trackInfo: (int) t;



- (void) invalidate: (int) t;

- (int) setTitle: (NSString *) title forTrack: (int) num;
- (int) setTitle: (NSString *) title forGroup: (int) num;

- (int) setDiscTitle: (NSString *) title;

- (int) createGroup: (NSString *) name from: (int) start to: (int) finish;
- (int) deleteGroup: (int) grpid;
- (int) deleteTrack: (int) trkid;

- (int) refresh;

// XXX We shouldn't really need to expose these
- (omd_toc_t *) ctoc;
- (omd_track_t *) rawTrackInfo: (int) trk;
- (omd_group_t *) rawGroupInfo: (int) grp;

@end
