// Copyright (c) 2002, Peter Bentley
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
// 
//   Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 
//   Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
// 
//   The name Peter Bentley may not be used to endorse or promote
// products derived from this software without specific prior
// written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// $Id: OmdTrackInfo.h,v 1.11 2002/11/24 17:07:31 pete Exp $

#import <Foundation/Foundation.h>
#import "omd.h"

@class OmdTime;
@class OmdToc;

@interface OmdTrackInfo : NSObject {
    int			trkid;
    OmdToc		*omdToc;
}

- (id) initWithId: (int) i andToc: (OmdToc *) toc;

- (OmdTime *) length;
- (int) id;
- (NSString *) idString;
- (NSString *) groupString;
- (int) group;
- (NSString *) titleString;
- (void) setTitleString: (NSString *) str;
- (NSString *) lengthString;
- (NSString *) codecString;
- (NSString *) rateString;
- (NSString *) lockedString;
- (NSString *) nodeType;

// Outline view data

- (int) numberOfChildren;
- (id) childAtIndex: (int) index;


// XXX temporary solution
- (omd_track_t *) getTrack;

@end
